// LookDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Look.h"
#include "LookDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLookDlg dialog

CLookDlg::CLookDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLookDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLookDlg)
	m_address = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CLookDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLookDlg)
	DDX_Control(pDX, IDC_FORWARD, m_Forward);
	DDX_Control(pDX, IDC_BACK, m_Back);
	DDX_Control(pDX, IDC_EXPLORER, m_explorer);
	DDX_CBString(pDX, IDC_COMBO_ADDRESS, m_address);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CLookDlg, CDialog)
	//{{AFX_MSG_MAP(CLookDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_CBN_SELCHANGE(IDC_COMBO_ADDRESS, OnSelchangeComboAddress)
	ON_BN_CLICKED(IDC_BUTTON_REFRESH, OnButtonRefresh)
	ON_BN_CLICKED(IDC_BUTTON_STOP, OnButtonStop)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLookDlg message handlers

BOOL CLookDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CLookDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CLookDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CLookDlg::OnSelchangeComboAddress() 
{
	// TODO: Add your control notification handler code here

   UpdateData(TRUE);
   //m_explorer.GoHome();
   m_explorer.Navigate(
	   m_address,	// URL to navigate to
	   NULL,	// address of option flags
	   NULL,	// address of frame name for resource
	   NULL,	// address of HTTP POST data
	   NULL	// address of HTTP headers
   );
}

void CLookDlg::OnButtonRefresh() 
{
	// TODO: Add your control notification handler code here
   m_explorer.Refresh();
}

void CLookDlg::OnButtonStop() 
{
	// TODO: Add your control notification handler code here
   m_explorer.Stop();	
}
